<?php
namespace application\weblcms\course;



use common\libraries\Translation;

/**
 * Installs the submanager data tables, settings, tracking, reporting, webservices
 *
 * @package application\weblcms\course
 * @author Sven Vanpoucke - Hogeschool Gent
 */
class Installer extends \common\libraries\package\Installer
{

    /**
     * Constructor
     */
    public function __construct($values)
    {
        parent :: __construct($values, DataManager :: get_instance());
    }

    /**
     * **************************************************************************************************************
     * Inherited Functionality *
     * **************************************************************************************************************
     */

    /**
     * Installs extra items
     *
     * @return boolean
     */
    protected function extra()
    {
        // Temporary disabled creation of demo courses because settings are not
        // loaded
        // if(!$this->create_courses())
        // {
        // return $this->failed(Translation ::
        // get('CouldNotInstallExampleCourses'));
        // }
        //
        // $this->add_message(self :: TYPE_NORMAL, Translation ::
        // get('InstalledExampleCourses'));
        return true;
    }

/**
 * ************************************************************************************************************** Helper
 * Functionality *
 * **************************************************************************************************************
 */
    //
    // /**
    // * Installs example courses
    // *
    // * @return boolean;
    // */
    // private function create_courses()
    // {
    // // Common Course 1
    // $course = new Course();
    // $course->set_course_type_id(1);
    // $course->set_title('International Week 2011');
    // $course->set_visual_code('ALG001');
    //
    // $succes = $course->create();
    // $succes &= $this->subscribe_user_to_course($course->get_id(), 2, 1);
    //
    // // Common course 2
    // $course = new Course();
    // $course->set_course_type_id(2);
    // $course->set_title('International Relations');
    // $course->set_visual_code('ALG002');
    //
    // $succes &= $course->create();
    // $succes &= $this->subscribe_user_to_course($course->get_id(), 2, 1);
    //
    // return $succes;
    // }
    //
    // /**
    // * Subscribes a user to a course
    // *
    // * @param $course_id int
    // * @param $user_id int
    // * @param $status int
    // *
    // * @return boolean
    // */
    // private function subscribe_user_to_course($course_id, $user_id, $status)
    // {
    // $course_user_relation = new CourseUserRelation();
    // $course_user_relation->set_course_id($course_id);
    // $course_user_relation->set_user_id($user_id);
    // $course_user_relation->set_status($status);
    //
    // return $course_user_relation->create();
    // }
}
