<?php
namespace application\weblcms;

use repository\ContentObject;
use common\libraries\DataClassGalleryTableProperty;
use common\libraries\RecordGalleryTablePropertyModel;

/**
 * Property model for the content object publications gallery table
 *
 * @author Author Unknown
 * @author Sven Vanpoucke - Hogeschool Gent - Refactoring to record gallery table
 */
class ObjectPublicationGalleryTablePropertyModel extends RecordGalleryTablePropertyModel
{
    /**
     * Initializes the properties for the table
     */
    public function initialize_properties()
    {
        $this->add_property(
            new DataClassGalleryTableProperty(ContentObject :: class_name(), ContentObject :: PROPERTY_TITLE)
        );

        $this->add_property(
            new DataClassGalleryTableProperty(ContentObject :: class_name(), ContentObject :: PROPERTY_DESCRIPTION)
        );
    }
}
