<?php

namespace application\weblcms\tool\assignment;

use common\libraries\DelegateComponent;


use application\weblcms\ToolComponent;

/**
 *
 * @package application.weblcms.tool.assignment.php.component
 *
 *          Publisher for assignment publications.
 *
 * @author Joris Willems <joris.willems@gmail.com>
 * @author Alexander Van Paemel
 */
class AssignmentToolPublisherComponent extends AssignmentTool implements DelegateComponent
{

    public function run()
    {
        ToolComponent :: launch($this);
    }

    public function get_additional_parameters()
    {
        return array(\repository\viewer\Manager :: PARAM_ID, \repository\viewer\Manager :: PARAM_ACTION);
    }

}
