<?php

namespace application\weblcms\tool\assignment;

use common\libraries\DataClassPropertyTableColumn;
use user\User;

/**
 * Describes the table column model of the submission users browser table
 *
 * @author Sven Vanpoucke - Hogeschool Gent - Refactoring
 */
class SubmissionUsersBrowserTableColumnModel extends SubmissionBrowserTableColumnModel
{
    /**
     * Initializes the columns for the table
     */
    public function initialize_columns()
    {
        $this->add_column(
            new DataClassPropertyTableColumn(User :: class_name(), User :: PROPERTY_LASTNAME)
        );

        parent :: initialize_columns();
    }
}
