<?php
namespace application\weblcms\tool\assignment;


use common\libraries\ObjectTableColumn;

/**
 * Description of student_submissions_browser_own_groups_table_column_model
 *
 * @author Anthony Hurst (Hogeschool Gent)
 */
class StudentSubmissionsBrowserOwnGroupsTableColumnModel extends SubmitterSubmissionsTableColumnModel
{

    public function __construct()
    {
        parent :: __construct();
    }

    public function get_columns()
    {
        $columns = parent :: get_columns();
        $additional_columns = array();
        $additional_columns[] = new ObjectTableColumn(
            \application\weblcms\integration\tracking\AssignmentSubmission :: PROPERTY_SUBMITTER_ID, false
        );
        $additional_columns[] = new ObjectTableColumn(AssignmentTool :: PROPERTY_NAME, false);
        $additional_columns[] = new ObjectTableColumn(AssignmentTool :: PROPERTY_GROUP_MEMBERS, false);
        array_splice($columns, 3, 0, $additional_columns);
        return $columns;
    }
}
