<?php
namespace application\weblcms\tool\course_sections;

use common\libraries\StaticTableColumn;
use application\weblcms\DefaultCourseSectionsTableColumnModel;

/**
 * $Id: course_sections_browser_table_column_model.class.php 216 2009-11-13
 * 14:08:06Z kariboe $
 *
 * @package
 *          application.lib.weblcms.tool.course_sections.component.course_sections_browser
 */
/**
 * Table column model for the course browser table
 */
class CourseSectionsBrowserTableColumnModel extends DefaultCourseSectionsTableColumnModel
{
    /**
     * The tables modification column
     */
    private static $modification_column;

    /**
     * Constructor
     */
    public function __construct()
    {
        parent :: __construct();
        // $this->set_default_order_column(1);
        $this->add_column(self :: get_modification_column());
    }

    /**
     * Gets the modification column
     *
     * @return CourseTableColumn
     */
    public static function get_modification_column()
    {
        if (!isset(self :: $modification_column))
        {
            self :: $modification_column = new StaticTableColumn('');
        }
        return self :: $modification_column;
    }
}
