<?php
namespace application\weblcms\tool\description;

use common\libraries\DelegateComponent;

use application\weblcms\Tool;
use application\weblcms\ToolComponent;

class DescriptionToolViewerComponent extends DescriptionTool implements DelegateComponent
{

    public function run()
    {
        $component = ToolComponent :: factory(ToolComponent :: ACTION_VIEW, $this);
        $component->run();
    }

    public function get_additional_parameters()
    {
        return array(Tool :: PARAM_PUBLICATION_ID);
    }
}
