<?php
namespace application\weblcms\tool\document;

use application\weblcms\WeblcmsRights;
use application\weblcms\Tool;
use application\weblcms\ToolComponent;
use common\libraries\DelegateComponent;

class DocumentToolRightsEditorComponent extends DocumentTool implements DelegateComponent
{

    public function run()
    {
        ToolComponent :: launch($this);
    }

    public function get_available_rights($location)
    {
        return WeblcmsRights :: get_available_rights($location);
    }

    public function get_additional_parameters()
    {
        array(Tool :: PARAM_PUBLICATION_ID);
    }

}
