<?php

namespace application\weblcms\tool\learning_path;

use application\weblcms\ObjectPublicationTableColumnModel;
use common\libraries\NewStaticTableColumn;
use repository\ContentObject;
use common\libraries\DataClassPropertyTableColumn;

/**
 * Extension on the content object publication table column model for this tool
 *
 * @author Sven Vanpoucke - Hogeschool Gent
 */
class PublicationTableColumnModel extends ObjectPublicationTableColumnModel
{
    const COLUMN_PROGRESS = 'progress';

    /****************************************************************************************************************
     * Inherited Functionality                                                                                      *
     ****************************************************************************************************************/

    /**
     * Initializes the columns for the table
     */
    public function initialize_columns()
    {
        parent :: initialize_columns();

        $this->add_column(new NewStaticTableColumn(self :: COLUMN_PROGRESS));
    }
}