<?php
namespace application\weblcms\tool\user;

use application\weblcms\Tool;
use common\libraries\Breadcrumb;
use common\libraries\BreadcrumbTrail;
use common\libraries\DelegateComponent;
use common\libraries\Translation;

/**
 * $Id: user_details.class.php 216 2009-11-13 14:08:06Z kariboe $
 *
 * @package application.lib.weblcms.tool.user.component
 */
class UserToolReportingViewerComponent extends UserTool implements DelegateComponent
{

    public function run()
    {
        BreadcrumbTrail :: get_instance()->add(
            new Breadcrumb($this->get_url(), Translation :: get('ReportingViewerComponent'))
        );

        \reporting\viewer\Manager :: launch(
            $this,
            \application\weblcms\integration\reporting\CourseStudentTrackerDetailTemplate :: class_name()
        );
    }

    public function get_additional_parameters()
    {
        return array(Tool :: PARAM_PUBLICATION_ID, Tool :: PARAM_COMPLEX_ID, Tool :: PARAM_TEMPLATE_NAME);
    }

    public function display_header($visible_tools)
    {
        parent :: display_header($visible_tools, false);
    }

}
