<?php
namespace application\weblcms\tool\user;

use user\DefaultUserTableColumnModel;
use common\libraries\ObjectTableColumn;
use user\User;

/**
 * * ***************************************************************************
 * Table column model for an unsubscribed course user browser table.
 *
 * @author Stijn Van Hoecke
 *
 *         ****************************************************************************
 */
class UnsubscribedUserBrowserTableColumnModel extends DefaultUserTableColumnModel
{
    const DEFAULT_ORDER_COLUMN_INDEX = 1;

    // **************************************************************************
    // CONSTRUCTOR
    // **************************************************************************
    /**
     * Constructor
     */
    public function initialize_columns()
    {
        parent :: initialize_columns();
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_USERNAME));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_EMAIL));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_STATUS));

    }

}
