<?php
namespace common\extensions\external_repository_manager;

use common\libraries\NewObjectTableDataProvider;

class DefaultExternalObjectTableDataProvider extends NewObjectTableDataProvider
{

    public function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);
        return $this->get_object_table()->get_component()->retrieve_external_repository_objects($this->get_condition(), 
                $order_property, $offset, $count);
    }

    public function get_object_count()
    {
        return $this->get_object_table()->get_component()->count_external_repository_objects($this->get_condition());
    }
}
