<?php
namespace common\libraries\form;
/*
 * Class to create a group of 1 or more elements on a form
 */
class Menus extends Container
{
    private $menus; // boolean value to indicate if name of the group and name of elements have to be appended

    /*
     * Constructor for the Group class
     */
    public function __construct($name, $label, $menus)
    {
        parent :: __construct($name, $label);
        $this->menus = $menus;
    }

    public function render()
    {
        $renderer = $this->get_renderer() ? $this->get_renderer() : new DefaultMenusRenderer($this);
        return $renderer->render();
    }

    public function get_menus()
    {
        return $this->menus;
    }

    public function set_menus($menus)
    {
        $this->menus = $menus;
    }
}
