<?php
namespace common\libraries;

class DefaultCasPassword extends CasPassword
{

    /**
     * Nothing is done with the password by default This just prevents errors.
     *
     * @param String $old_password The user's old password
     * @param String $new_password The user's new password
     */
    public function set_password($old_password, $new_password)
    {
        return true;
    }

    public function is_password_changeable()
    {
        return false;
    }

    public function get_password_requirements()
    {
        return null;
    }
}
