<?php
namespace common\libraries;

/**
 * Translation of ConditionVariables in the context of an MDB2-based storage layer
 *
 * @package common.libraries
 * @author Hans De Bisschop
 */
abstract class Mdb2ConditionVariableTranslator extends ConditionVariableTranslator
{

    public static function factory(ConditionVariable $condition_variable, $connection = null)
    {
        return parent :: factory(DataManager :: TYPE_MDB2, $condition_variable, $connection);
    }

    public static function render(ConditionVariable $condition_variable, $connection = null)
    {
        return parent :: render(DataManager :: TYPE_MDB2, $condition_variable, $connection);
    }
}
