<?php

namespace common\libraries;

/**
 * A rest message that has a true or false to determine wether a manipulation action has been successfull
 */

class SuccessRestMessage extends DataClass
{
    const PROPERTY_SUCCESS = 'success';
    const PROPERTY_MESSAGE = 'message';

    public function __construct($success, $message)
    {
        parent :: __construct();
        $this->set_success($success);
        $this->set_message($message);
    }

    public function get_success()
    {
        return $this->get_default_property(self :: PROPERTY_SUCCESS);
    }

    public function set_success($success)
    {
        $success = $success ? 'true' : 'false';
        $this->set_default_property(self :: PROPERTY_SUCCESS, $success);
    }

    public function get_message()
    {
        return $this->get_default_property(self :: PROPERTY_MESSAGE);
    }

    public function set_message($message)
    {
        $this->set_default_property(self :: PROPERTY_MESSAGE, $message);
    }

    public static function get_table_name()
    {
    
    }

    public function get_data_manager()
    {
    
    }
}
