<?php
namespace core\admin\integration\core\home;

use common\libraries\Translation;
use common\libraries\PlatformSetting;
use repository\ContentObjectResourceRenderer;

class PortalHome extends \core\home\Block
{

    public function display_content()
    {
        $html = PlatformSetting :: get('portal_home');
        $html = $html ? $html : Translation :: get('ConfigurePortalHomeFirst');

        $renderer = new ContentObjectResourceRenderer($this, $html);

        return $renderer->run();
    }

    public function is_visible()
    {
        return true; // i.e.display on homepage when anonymous
    }
}
