<?php
namespace core\admin;
use common\extensions\category_manager\CategoryManager;
use common\extensions\category_manager\ProhibitGeneralCategories;

/**
 * $Id: admin_category_manager.class.php 205 2009-11-13 12:57:33Z vanpouckesven $
 * 
 * @package admin.lib.category_manager
 */

class AdminCategoryManager extends CategoryManager implements ProhibitGeneralCategories
{

    public function __construct($parent, $trail)
    {
        parent :: __construct($parent, $trail);
    }

    public function get_category()
    {
        return new AdminCategory();
    }

    public function count_categories($condition)
    {
        $wdm = AdminDataManager :: get_instance();
        return $wdm->count_categories($condition);
    }

    public function retrieve_categories($condition, $offset, $count, $order_property)
    {
        $wdm = AdminDataManager :: get_instance();
        return $wdm->retrieve_categories($condition, $offset, $count, $order_property);
    }

    public function get_next_category_display_order($parent_id)
    {
        $wdm = AdminDataManager :: get_instance();
        return $wdm->select_next_display_order($parent_id);
    }
}
