<?php
namespace core\migration;

use common\libraries\Mdb2Connection;
use common\libraries\Translation;

use MDB2;
use Exception;
/**
 * Class that extends the general connection class so we can use this to connect to different databases than the one of chamilo 2.0
 * @author Sven Vanpoucke
 */

class MigrationDatabaseConnection extends Mdb2Connection
{
	public function __construct($connection_string)
    {
        $connection = MDB2 :: connect($connection_string);
        if(MDB2 :: isError($this->connection))
        {
        	throw new Exception(Translation :: get('CouldNotConnectToPlatformDatabase'));
        }

        $this->set_connection($connection);
    }

}
