<?php
namespace core\migration;
require_once dirname(__FILE__) . '/../data_class/dokeos185_link.class.php';
require_once dirname(__FILE__) . '/../course_data_migration_block.class.php';
require_once dirname(__FILE__) . '/../data_class/dokeos185_link_category.class.php';

class CourseLinksMigrationBlock extends CourseDataMigrationBlock
{
    const MIGRATION_BLOCK_NAME = 'course_links';

    public function get_prerequisites()
    {
        return array(CoursesMigrationBlock :: MIGRATION_BLOCK_NAME);
    }

    public function get_block_name()
    {
        return self :: MIGRATION_BLOCK_NAME;
    }

    public function get_course_data_classes()
    {
        return array(new Dokeos185LinkCategory(), new Dokeos185Link());
    }
}
