<?php

namespace core\migration;
require_once dirname(__FILE__) . '/../data_class/dokeos185_user.class.php';

/**
 * Class to start the migration of the users
 * @author vanpouckesven
 *
 */
class UsersMigrationBlock extends MigrationBlock
{
    const MIGRATION_BLOCK_NAME = 'users';

    public function get_prerequisites()
    {
        return array();
    }

    public function get_data_classes()
    {
        return array(new Dokeos185User());
    }

    public function get_block_name()
    {
        return self :: MIGRATION_BLOCK_NAME;
    }
}
