<?php
namespace repository\content_object\assessment_rating_question;

use common\libraries\Path;
use common\libraries\ResourceManager;

use repository\ContentObjectRendition;

class HtmlDescriptionRenditionImplementation extends HtmlRenditionImplementation
{

    public function render()
    {
        return ContentObjectRendition :: launch($this);
    }

    public function get_description()
    {
        $question = $this->get_content_object();
        $min = $question->get_low();
        $max = $question->get_high();
        
        $html = array();
        $html[] = '<div class="question">';
        $html[] = '<div class="answer">';
        $html[] = '<select class="rating_slider">';
        $html[] = '</option>';
        for($i = $min; $i <= $max; $i ++)
        {
            $scores[$i] = $i;
            $html[] = '<option value="' . $i . '" > ' . $i . '';
            $html[] = '</option>';
        }
        $html[] = '</select>';
        $html[] = '</div>';
        $html[] = '</div>';
        $html[] = ResourceManager :: get_instance()->get_resource_html(Path :: get_repository_content_object_path(true) . 'assessment_rating_question/resources/javascript/assessment_rating_question.js');
        return implode("\n", $html);
    }
}
