<?php
namespace repository\content_object\bookmark;

use repository\ContentObjectDisplay;

/**
 * $Id: bookmark_display.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.content_object.bookmark
 */
class BookmarkDisplay extends ContentObjectDisplay
{

    public function get_description()
    {
        $description = parent :: get_description();
        $object = $this->get_content_object();
        return str_replace(self :: DESCRIPTION_MARKER, '<div class="bookmark_url" style="margin-top: 1em;"><a target="about:blank" href="' . htmlentities($object->get_url()) . '">' . htmlentities($object->get_url()) . '</a></div>' . self :: DESCRIPTION_MARKER, $description);
    }

    public function get_short_html()
    {
        $object = $this->get_content_object();
        return '<span class="content_object"><a target="about:blank" href="' . htmlentities($object->get_url()) . '">' . htmlentities($object->get_title()) . '</a></span>';
    }
}
