<?php

namespace repository\content_object\glossary;

/**
 * Class to render the glossary as a table
 *
 * @package repository\content_object\glossary
 * @author Sven Vanpoucke - Hogeschool Gent
 */
class TableGlossaryRenderer extends GlossaryRenderer
{
    /**
     * Renders the glossary
     *
     * @return string
     */
    public function render()
    {
        $table = new GlossaryViewerTable($this);
        return $table->as_html();
    }

}