<?php

namespace repository\content_object\learning_path;

use common\libraries\DelegateComponent;

use repository\ComplexBuilderComponent;
use repository\content_object\learning_path_item\LearningPathItem;

/**
 * $Id: deleter.class.php 200 2009-11-13 12:30:04Z kariboe $
 * @package repository.lib.complex_builder.learning_path.component
 */

class LearningPathBuilderCreatorComponent extends LearningPathBuilder implements DelegateComponent
{

    /**
     * Runs this component and displays its output.
     */
    public function run()
    {
        ComplexBuilderComponent :: launch($this);
    }

    public function get_helper_object($type)
    {
        if ($type != LearningPath :: class_name())
        {
            return new LearningPathItem();
        }
    }

    public function get_additional_parameters()
    {
        return array(self :: PARAM_TYPE);
    }
}
