<?php
namespace repository\integration\webservice;

use common\libraries\Translation;
use common\libraries\EqualityCondition;
use common\libraries\GetObjectListWebserviceHandler;

class CategoryGetListWebserviceHandler extends GetObjectListWebserviceHandler
{

    public function get_objects()
    {
        return \repository\DataManager :: retrieve_categories(
                new EqualityCondition(\repository\RepositoryCategory :: PROPERTY_USER_ID, $this->get_user_id()));
    }

    public function get_objects_translation()
    {
        return Translation :: get('Categories');
    }
}
