<?php
namespace repository;

use common\libraries\Theme;
use common\libraries\Translation;

class HtmlPreviewContentObjectRendition extends HtmlContentObjectRendition
{

    public function get_class()
    {
        return 'no_preview';
    }

    public function get_image()
    {
        return Theme :: get_common_image('preview');
    }

    public function get_text()
    {
        return '<h1>' . Translation :: get('NoPreviewAvailable') . '</h1>';
    }

    public function render()
    {
        $html = array();
        $html[] = '<div class="' . $this->get_class() . '">';
        $html[] = '<div class="background">';
        $html[] = $this->get_image();
        $html[] = $this->get_text();
        $html[] = '</div>';
        $html[] = '<div class="clear"></div>';
        $html[] = '</div>';
        return implode("\n", $html);
    }
}
