<?php
namespace repository;

use common\libraries\Request;

class VideoConferencingComponent extends RepositoryManager
{

    private $external_instance;

    public function run()
    {
        $type = $this->get_type();
        $this->external_instance = \repository\DataManager :: retrieve_by_id(ExternalInstance :: class_name(), $type);
        $this->set_parameter(\common\extensions\video_conferencing_manager\Manager :: PARAM_VIDEO_CONFERENCING, $type);

        \common\extensions\video_conferencing_manager\Manager :: launch($this);
    }

    public function get_type()
    {
        return Request :: get(RepositoryManager :: PARAM_EXTERNAL_INSTANCE);
    }

    public function get_external_instance()
    {
        return $this->external_instance;
    }

    public function display_header()
    {
        $this->small_header();
    }

    public function display_footer()
    {
        $this->small_footer();
    }
}
