<?php
namespace repository\quota;

use common\libraries\DataClassCountParameters;
use common\libraries\DataClassRetrievesParameters;
use common\libraries\NewObjectTableDataProvider;

class RequestTableDataProvider extends NewObjectTableDataProvider
{

    public function get_objects($offset, $count, $order_property = null)
    {
        $parameters = new DataClassRetrievesParameters($this->get_condition(), $count, $offset, $this->get_order_property($order_property));
        return DataManager :: retrieves(Request :: class_name(), $parameters);
    }

    public function get_object_count()
    {
        $parameters = new DataClassCountParameters($this->get_condition());
        return DataManager :: count(Request :: class_name(), $parameters);
    }
}
