<?php
namespace user;

use common\libraries\Redirect;
use common\libraries\BreadcrumbTrail;





class UserManagerTermsConditionsEditorComponent extends UserManager
{

    /**
     * Runs this component and displays its output.
     */
    public function run()
    {
       //TODO check right to see/edit this!!!

        
        $user = null;
        //todo: get user

        $form = new TermsConditionsForm($user, $this->get_url(), TermsConditionsForm::TYPE_EDIT);

        if ($form->validate())
        {
            $success = $form->edit_terms_conditions();
            if ($success == 1)
            {
                $parameters = array();
                Redirect :: link('', $parameters, array(), false, null);
            }
            else
            {
                $this->display_header();
                $form->display();
                $this->display_footer();
            }
        }
        else
        {
            $this->display_header();
            $form->display();
            $this->display_footer();
        }
    }

    public function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail = new BreadCrumbTrail(false);
    	$breadcrumbtrail->add_help('terms_conditions');
    }

	
}
