<?php
namespace application\personal_calendar\integration\core\home;

use common\libraries\Request;

class Day extends Block
{

    public function display_content()
    {
        $configuration = $this->get_configuration();

        $hour_step = $configuration['hour_step'];
        $time_start = $configuration['time_start'];
        $time_end = $configuration['time_end'];

        $html = array();
        $time = Request :: get('time') ? intval(Request :: get('time')) : time();
        $minidaycalendar = new \application\personal_calendar\PersonalCalendarMiniDayRenderer($this, $time, $hour_step,
                $time_start, $time_end, $this->get_link_target());
        $html[] = $minidaycalendar->render();
        return implode("\n", $html);
    }
}
