<?php
namespace application\weblcms\course_type;

use common\libraries\Translation;

/**
 * Installs the submanager data tables, settings, tracking, reporting, webservices
 *
 * @package application\weblcms\course_type
 * @author Sven Vanpoucke - Hogeschool Gent
 */
class Installer extends \common\libraries\package\Installer
{

    /**
     * Constructor
     */
    public function __construct($values)
    {
        parent :: __construct($values, DataManager :: get_instance());
    }

    /**
     * **************************************************************************************************************
     * Inherited Functionality *
     * **************************************************************************************************************
     */

    /**
     * Installs extra items
     *
     * @return boolean
     */
    protected function extra()
    {
        // Temporary disabled creation of demo course types because settings are
        // not loaded
        // if(!$this->create_course_types())
        // {
        // return $this->failed(Translation ::
        // get('CouldNotInstallExampleCourseTypes'));
        // }
        //
        // $this->add_message(self :: TYPE_NORMAL, Translation ::
        // get('InstalledExampleCourseTypes'));
        return true;
    }

/**
 * ************************************************************************************************************** Helper
 * Functionality *
 * **************************************************************************************************************
 */

/**
 * Installs example course types
 *
 * @return boolean;
 */
    /*
     * private function create_course_types() { $course_type = new CourseType(); $course_type->set_title('Common');
     * $course_type->set_description('Example coursetype for a common coursetype'); $succes = $course_type->create();
     * $course_type = new CourseType(); $course_type->set_title('Curricula'); $course_type->set_description('Example
     * coursetype for a curriculum coursetype'); $succes &= $course_type->create(); return $succes; }
     */
}
