<?php
namespace application\weblcms\integration\reporting;

use reporting\ReportingData;
use reporting\ReportingChartFormatter;
use reporting\ReportingFormatter;
use common\libraries\Translation;

class NoOfPublishedObjectsPerTypeBlock extends CourseBlock
{

    public function count_data()
    {
        $reporting_data = new ReportingData();
        return $reporting_data;
    }

    public function retrieve_data()
    {
        return $this->count_data();
    }

    public function get_application()
    {
        return \application\weblcms\WeblcmsManager :: APPLICATION_NAME;
    }

    public function get_views()
    {
        return array(
            \reporting\viewer\HtmlBlockRendition :: VIEW_TABLE,
            \reporting\viewer\HtmlBlockRendition :: VIEW_BAR,
            \reporting\viewer\HtmlBlockRendition :: VIEW_LINE,
            \reporting\viewer\HtmlBlockRendition :: VIEW_STACKED_AREA);
    }
}
