<?php

namespace application\weblcms;

use common\libraries\Translation;
use common\libraries\GetObjectListWebserviceHandler;
use common\libraries\EqualityCondition;

class ContentObjectPublicationGetListWebserviceHandler extends GetObjectListWebserviceHandler
{

    public function get_objects()
    {
        $condition = new EqualityCondition(ContentObjectPublication :: PROPERTY_PUBLISHER_ID, $this->get_user_id());
        return DataManager :: retrieve_content_object_publications($condition);
    }

    public function get_objects_translation()
    {
        return Translation :: get('ContentObjectPublications');
    }
}
