<?php

namespace application\weblcms;

use common\libraries\Translation;
use common\libraries\GetObjectWebserviceHandler;

class ContentObjectPublicationCategoryGetWebserviceHandler extends GetObjectWebserviceHandler
{

    public function get_object()
    {
        return DataManager :: retrieve(ContentObjectPublication :: class_name(), $this->get_id());
    }

    public function get_object_translation()
    {
        return Translation :: get('ContentObjectPublicationCategory');
    }

    public function is_allowed_to_retrieve_object($object)
    {
        $course = \application\weblcms\course\DataManager :: retrieve(Course :: class_name(), $object->get_course());
        return $course->is_course_admin($this->get_user());
    }
}
