<?php
namespace application\weblcms\tool\assignment;

use common\libraries\DelegateComponent;

use application\weblcms\Tool;
use application\weblcms\ToolComponent;

/**
 *
 * @package application.weblcms.tool.assignment.php.component
 *
 *          ContentObject updater for assignments
 *
 * @author Joris Willems <joris.willems@gmail.com>
 * @author Alexander Van Paemel
 */
class AssignmentToolContentObjectUpdaterComponent extends AssignmentTool implements DelegateComponent
{

    public function run()
    {
        ToolComponent :: launch($this);
    }

    public function get_additional_parameters()
    {
        return array(Tool :: PARAM_PUBLICATION_ID);
    }
}
