<?php
namespace application\weblcms\tool\calendar;

use common\libraries\DelegateComponent;

use application\weblcms\ToolComponent;

class CalendarToolBrowserComponent extends CalendarTool implements DelegateComponent
{
    const PARAM_FILTER = 'filter';
    const FILTER_TODAY = 'today';
    const FILTER_THIS_WEEK = 'week';
    const FILTER_THIS_MONTH = 'month';

    public function run()
    {
        ToolComponent :: launch($this);
    }

    public function get_additional_parameters()
    {
        return array(self :: PARAM_BROWSE_PUBLICATION_TYPE);
    }
}
