<?php

namespace application\weblcms\tool\course_group;


use application\weblcms\tool\course_group\CourseGroup;
use common\libraries\DataClassRetrievesParameters;

/**
 * $Id: course_group_table_data_provider.class.php 216 2009-11-13 14:08:06Z
 * kariboe $
 *
 * @package
 *          application.lib.weblcms.tool.course_group.component.course_group_table
 */
class CourseGroupTableDataProvider
{

    private $course_group_tool;

    public function __construct($course_group_tool)
    {
        $this->course_group_tool = $course_group_tool;
    }

    public function get_parent()
    {
        return $this->course_group_tool;
    }

    public function get_course_groups($offset, $count, $order_property)
    {
        // $parameters = $this->course_group_tool->get_parameters(true);
        // $id = $parameters['course_group'];
        //
        // if ($id)
        // {
        // return $dm->retrieve_course_group($id);
        // }
        // else
        // {
        if ($order_property && !is_array($order_property))
        {
            $order_property = array($order_property);
        }

        return DataManager :: retrieves(
            CourseGroup :: class_name(),
            new DataClassRetrievesParameters(
                $this->course_group_tool->get_condition(), $count, $offset, $order_property
            )
        );
    }

    // ToDo: retrieve a course group;
    public function get_course_group()
    {
        $parameters = $this->course_group_tool->get_parameters(true);
        $id = $parameters['course_group'];

        if ($id)
        {
            return DataManager :: retrieve_by_id(CourseGroup :: class_name(), $id);
        }
    }

    public function get_course_group_count()
    {
        return DataManager :: retrieves(
            CourseGroup :: class_name(),
            $this->course_group_tool->get_condition()
        )->size();
    }

}
