<?php
namespace application\weblcms\tool\user;

use application\weblcms\Tool;

use common\libraries\EqualityCondition;
use common\libraries\AndCondition;
use application\weblcms\course\CourseGroupRelation;

class UserToolStatusChangerPlatformgroupStudentComponent extends UserToolStatusChangerComponent
{
    const STATUS = 5; // 1 = teacher, 5 = student

    public function get_relation()
    {
        $conditions = array();

        $conditions[] = new EqualityCondition(
            CourseGroupRelation :: PROPERTY_COURSE_ID,
            $this->get_course_id(),
            CourseGroupRelation :: get_table_name()
        );

        $conditions[] = new EqualityCondition(
            CourseGroupRelation :: PROPERTY_GROUP_ID,
            $this->object,
            CourseGroupRelation :: get_table_name()
        );

        $condition = new AndCondition($conditions);

        return $course_group_relations = \application\weblcms\course\DataManager :: retrieves(
            CourseGroupRelation :: class_name(),
            $condition
        )->next_result();
    }

    public function get_status()
    {
        return self :: STATUS;
    }
}
