<?php
namespace common\extensions\external_repository_manager;

use common\libraries\NewGalleryObjectTableSupport;

/**
 * Renderer to display a sortable table with learning object publications.
 */
class GalleryTableExternalRepositoryRenderer extends ExternalRepositoryRenderer implements NewGalleryObjectTableSupport
{

    /**
     *
     * @see common\libraries.NewGalleryObjectTableSupport::get_object_table_condition()
     */
    public function get_object_table_condition($object_table_class_name)
    {
        return $this->get_condition();
    }

    /**
     * Returns the HTML output of this renderer.
     * 
     * @return string The HTML output
     */
    public function as_html()
    {
        return ExternalObjectGalleryTable :: factory($this)->as_html();
    }
}
