<?php
namespace common\libraries\form;
/*
 * Class to create a group of 1 or more elements on a form
 */
class Grouping extends Container
{
    
    /*
     * Constructor for the Group class
     */
    public function __construct($name, $label, $append = true)
    {
        parent :: __construct($name, $label, $append);
    }

    public function render()
    {
        $renderer = $this->get_renderer() ? $this->get_renderer() : new DefaultGroupingRenderer($this);
        return $renderer->render();
    }
}
