<?php
namespace common\libraries\form;
class AddHtml extends Element
{
    protected $text;

    /*
     * Constructor for the Text class
     */
    public function __construct($text)
    {
        // call constructor of Element class
        parent :: __construct($text);
        $this->text = $text;
    }

    /*
     * Returns the HTML of the created textfield
     */
    public function html()
    {
        return $this->get_text();
    }

    public function get_text()
    {
        return $this->text;
    }
}
