<?php
namespace common\libraries\form;
/*
 * Class to create a label
 */
class Label extends Element
{

    const TEMPLATE = '<label>{NAME}</label>';

    protected $name; // string: the displayed text for the label

    /*
     * Constructor for the Label class
     */
    public function __construct($name)
    {
        parent :: __construct($name);
    }

    /*
     * This function returns the HTML of the created label
     */
    public function html()
    {
        $parameters = array();
        $parameters['NAME'] = $this->get_name();
        return Renderer :: process(self :: TEMPLATE, $parameters);
    }
}
