<?php
namespace common\libraries\form;
/*
 * Class to render the elements that were added to the form
 */


abstract class DefaultContainerRenderer extends DefaultRenderer
{

    public function get_default_template()
    {
        $html = array();
        
        $html[] = '<div>';
        $html[] = '    <div>';
        $html[] = '        {ELEMENTS}';
        $html[] = '    </div>';
        $html[] = '    <div>';
        $html[] = '        {ERRORS}';
        $html[] = '    </div>';
        $html[] = '    <div class="clear">&nbsp;</div>';
        $html[] = '</div>';
        
        return implode("\n", $html);
    }

    public function get_parameters()
    {
        $parameters = array();
        
        $elements = array();
        $element_storage = $this->get_element()->get_element_storage();
        
        foreach ($element_storage->get_elements() as $element)
        {
            $elements[] = $element->render();
        }
        
        $parameters['ELEMENTS'] = implode("\n", $elements);
        
        $parameters['ERROR'] = $this->get_element()->get_errors();
        
        return $parameters;
    }

}
