<?php
namespace common\libraries;

/**
 *
 * @package common.libraries.storage.mdb2
 * @author Hans De Bisschop
 */
abstract class Mdb2ConditionTranslator extends ConditionTranslator
{

    public static function factory(Condition $condition, $deprecated_storage_unit, $connection = null)
    {
        return parent :: factory(DataManager :: TYPE_MDB2, $condition, $deprecated_storage_unit, $connection);
    }

    public static function render(Condition $condition, $deprecated_storage_unit, $connection = null)
    {
        return parent :: render(DataManager :: TYPE_MDB2, $condition, $deprecated_storage_unit, $connection);
    }
}
