<?php

namespace core\home;

use common\libraries\Request;
use common\libraries\BreadcrumbTrail;
/**
 * $Id: home.class.php 227 2009-11-13 14:45:05Z kariboe $
 * @package home.lib.home_manager.component
 */

class HomeManagerHomeComponent extends HomeManager
{

    /**
     * Runs this component and displays its output.
     */
    public function run()
    {
        BreadcrumbTrail :: get_instance()->truncate();
        $view = Request :: get(HomeRenderer :: PARAM_VIEW_TYPE, HomeRenderer :: TYPE_DEFAULT);
        echo HomeRenderer :: as_html($view, $this->get_user());
    }

}
