<?php
namespace core\menu;

/**
 *
 * @author Hans De Bisschop
 */
use common\libraries\Translation;

class MiniBarLinkApplicationItemRenderer extends MiniBarItemRenderer
{

    public function get_item_url()
    {
        $html = array();
        if ($this->get_item()->get_parent() == 0)
        {
            $selected = $this->get_item()->is_selected();
        }

        $html[] = '<a' . ($selected ? ' class="current"' : '') . ' href="' . $this->get_item()->get_url() . '" target="' . $this->get_item()->get_target_string() . '">' . $this->get_item()->get_titles()->get_translation(Translation :: get_instance()->get_language());
        $html[] = '</a>';

        return implode("\n", $html);
    }
}
