<?php
namespace repository\content_object\assessment_rating_question;

use repository\ComplexContentObjectItem;

/**
 * $Id: complex_assessment_rating_question.class.php 200 2009-11-13 12:30:04Z kariboe $
 *
 * @package repository.lib.content_object.rating_question
 */

/**
 * This class represents a complex exercise (used to create complex learning objects)
 */
class ComplexAssessmentRatingQuestion extends ComplexContentObjectItem
{
    const PROPERTY_WEIGHT = 'weight';
    const PROPERTY_FEEDBACK_ANSWER = 'feedback_answer';

    public static function get_additional_property_names()
    {
        return array(self :: PROPERTY_WEIGHT, self :: PROPERTY_FEEDBACK_ANSWER);
    }

    public function get_weight()
    {
        return $this->get_additional_property(self :: PROPERTY_WEIGHT);
    }

    public function set_weight($value)
    {
        $this->set_additional_property(self :: PROPERTY_WEIGHT, $value);
    }

    public function get_feedback_answer()
    {
        return $this->get_additional_property(self :: PROPERTY_FEEDBACK_ANSWER);
    }

    public function set_feedback_answer($value)
    {
        $this->set_additional_property(self :: PROPERTY_FEEDBACK_ANSWER, $value);
    }
}