<?php
namespace repository\content_object\document;

use common\libraries\Filesystem;
use common\libraries\Utilities;
use common\libraries\Path;

use repository\RepositoryManager;

class HtmlInlineDefaultRenditionImplementation extends HtmlInlineRenditionImplementation
{

    public function render($parameters)
    {
        $object = $this->get_content_object();
        $name = $object->get_filename();

        $url = Path :: get(WEB_PATH) . RepositoryManager :: get_document_downloader_url($object->get_id());

        $text = '<div><a href="' . Utilities :: htmlentities($url) . '">' . Utilities :: htmlentities($name) . '</a> (' . Filesystem :: format_file_size(
                $object->get_filesize()) . ')</div>';

        $html = '<div style="position: relative; margin: 10px auto; margin-left: -350px; width: 700px;
				left: 50%; right: 50%; border-width: 1px; border-style: solid;
				background-color: #E5EDF9; border-color: #4171B5; padding: 15px; text-align:center;">' . $text . '</div>';

        return $html;
    }
}
