<?php
namespace repository\content_object\feedback;



use repository\ContentObjectDifferenceDisplay;

/**
 * $Id: feedback_difference_display.class.php 200 2009-11-13 12:30:04Z kariboe $
 *
 * @package repository.lib.content_object.feedback
 */
/**
 * This class can be used to display the difference between feedbacks
 */
class FeedbackDifferenceDisplay extends ContentObjectDifferenceDisplay
{

    public function get_diff_as_html()
    {
        $diff = $this->get_difference();
        $html = parent :: get_diff_as_html();

        $html = str_replace('style="background-image: url(' . $diff->get_object()->get_icon_path() . ');"', '', $html);
        $html = str_replace('class="titleleft"',
                'class="titleleft" style="padding-left: 30px;margin-right: -30px;height: 25px;background-image: url(' . $diff->get_object()->get_icon_path() . ');"',
                $html);
        $html = str_replace('class="titleright"',
                'class="titleright" style="padding-left: 30px;height: 25px;background-image: url(' . $diff->get_version()->get_icon_path() . ');"',
                $html);
        return $html;
    }
}
