<?php
namespace repository\content_object\file;

use common\libraries\Path;

use repository\RepositoryManager;
use repository\ContentObjectRendition;

class HtmlPreviewRenditionImplementation extends HtmlRenditionImplementation
{

    public function render()
    {
        $object = $this->get_content_object();
        
        if ($object->is_image())
        {
            $url = Path :: get(WEB_PATH) . RepositoryManager :: get_document_downloader_url($object->get_id());
            return '<img src="' . $url . '" alt="" style="max-width: 800px; border: 1px solid #f0f0f0;"/>';
        }
        else
        {
            return ContentObjectRendition :: launch($this);
        }
    }
}
