<?php
namespace repository\content_object\forum_topic;

use common\libraries\EqualityCondition;
use common\libraries\DataClass;
use common\libraries\AndCondition;
use common\libraries\Mdb2Database;
use common\libraries\Condition;

use repository\ContentObject;
use repository\content_object\forum_topic\ForumPost;
use repository\content_object\forum_topic\ForumPostAttachment;
use repository\content_object\forum_topic\ForumTopic;

/*
 * This class does all the necessary communication with the database layer.
 * 
 * @author Mattias De Pauw - Hogeschool Gent
 * @author Maarten Volckaert - Hogeschool Gent
 */
class Mdb2DataManager extends Mdb2Database implements \repository\content_object\forum_topic\DataManagerInterface
{
    /**
     *  Inherited.
     *  Sets the right prefix for this mdb2 class.
     */
    public function initialize()
    {
        parent :: initialize();
        $this->set_prefix('repository_');
    }
}
