<?php
namespace repository\content_object\webpage;

use common\libraries\StaticTableColumn;

use repository\RepositoryDataManager;

use common\libraries\ObjectTableColumn;

/**
 * Table column model for the repository browser table
 */
class RepositoryBrowserTableColumnModel extends \repository\RepositoryBrowserTableColumnModel
{

    public function add_type_columns()
    {
        $this->add_column(new StaticTableColumn(Webpage :: PROPERTY_EXTENSION));
        $this->add_column(new ObjectTableColumn(Webpage :: PROPERTY_FILESIZE), true, RepositoryDataManager ::get_alias_type_table());
    }
}
