<?php
namespace repository\integration\webservice;

use common\libraries\Translation;
use common\libraries\DeleteObjectWebserviceHandler;

class ComplexContentObjectItemDeleteWebserviceHandler extends DeleteObjectWebserviceHandler
{

    public function get_object()
    {
        return \repository\DataManager :: retrieve_complex_content_object_item($this->get_id());
    }

    public function get_object_translation()
    {
        return Translation :: get('ComplexContentObjectItem');
    }

    public function is_allowed_to_delete_object($object)
    {
        return ($this->get_user()->is_platform_admin() || $object->get_user_id() == $this->get_user_id() ||
                 $object->get_parent_object()->get_owner_id() == $this->get_user_id());
    }
}
