<?php
namespace repository\integration\webservice;

use common\libraries\Translation;
use common\libraries\GetObjectWebserviceHandler;

class ContentObjectGetWebserviceHandler extends GetObjectWebserviceHandler
{

    public function get_object()
    {
        return \repository\DataManager :: retrieve_content_object($this->get_id());
    }

    public function get_object_translation()
    {
        return Translation :: get('ContentObject');
    }

    public function is_allowed_to_retrieve_object($object)
    {
        return ($object->get_owner_id() == $this->get_user_id());
    }
}
