<?php
namespace repository;

use common\libraries\GalleryObjectTablePropertyModel;
use common\libraries\GalleryObjectTableProperty;

class DefaultContentObjectGalleryTablePropertyModel extends GalleryObjectTablePropertyModel
{

    /**
     * Constructor
     */
    public function __construct()
    {
        parent :: __construct(self :: get_default_properties(), 0);
    }

    /**
     * Gets the default columns for this model
     * @return ContentObjectTableColumn[]
     */
    private static function get_default_properties()
    {
        $properties = array();
        $properties[] = new GalleryObjectTableProperty(ContentObject :: PROPERTY_TITLE);
        $properties[] = new GalleryObjectTableProperty(ContentObject :: PROPERTY_DESCRIPTION);
        return $properties;
    }
}
