<?php
namespace user\integration\reporting;

use reporting\ReportingBlock;

abstract class Block extends ReportingBlock
{

    public function get_data_manager()
    {
        return \user\DataManager :: get_instance();
    }

    public function get_user_id()
    {
        return $this->get_parent()->get_parameter(\user\UserManager :: PARAM_USER_USER_ID);
    }

    public static function getDateArray($data, $format)
    {
        $login_dates = array();
        
        while ($login_date = $data->next_result())
        {
            $date = date($format, $login_date->get_date());
            
            if (array_key_exists($date, $login_dates))
            {
                $login_dates[$date] ++;
            }
            else
            {
                $login_dates[$date] = 1;
            }
        }
        
        return $login_dates;
    }
}
