<?php
namespace user\integration\webservice;

use common\libraries\Translation;
use common\libraries\CreateObjectWebserviceHandler;

class UserCreateWebserviceHandler extends CreateObjectWebserviceHandler
{

    public function get_object()
    {
        return new \user\User();
    }

    public function get_object_translation()
    {
        return Translation :: get('User');
    }

    public function manipulate_data($object, $extra_properties = null)
    {
        $object->set_creator_id($this->get_user_id());
        return $object;
    }
}
