<?php
namespace user\integration\webservice;

use common\libraries\Translation;
use common\libraries\GetObjectWebserviceHandler;

class UserGetWebserviceHandler extends GetObjectWebserviceHandler
{

    public function get_object()
    {
        return \user\DataManager :: retrieve(\user\User :: class_name(), (int) $this->get_id());
    }

    public function get_object_translation()
    {
        return Translation :: get('User');
    }

    public function is_allowed_to_retrieve_object($object)
    {
        return true;
    }
}
