<?php

namespace user;

use tracking\Event;
use common\libraries\Redirect;

/**
 * @package user.lib.user_manager.component
 * @author Sven Vanpoucke
 */
class UserManagerLogoutComponent extends UserManager
{

    /**
     * Runs this component and displays its output.
     */
    public function run()
    {
        UserDataManager :: logout();
        Event :: trigger('logout', 'user', array('server' => $_SERVER, 'user' => $this->get_user()));

        Redirect :: link(null, array(), array(self :: PARAM_APPLICATION));
    }

}
