<?php
namespace user;

use common\libraries\NewObjectTableColumnModelActionsColumnSupport;
use common\libraries\NewObjectTableColumnModel;
use common\libraries\ObjectTableColumn;

abstract class DefaultUserTableColumnModel extends NewObjectTableColumnModel implements 
        NewObjectTableColumnModelActionsColumnSupport
{

    /**
     * Initializes the columns for the table
     */
    public function initialize_columns()
    {
        $user_alias = \user\DataManager :: get_alias(User :: get_table_name());
        
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_OFFICIAL_CODE, true, $user_alias, true));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_LASTNAME, true, $user_alias, true));
        $this->add_column(new ObjectTableColumn(User :: PROPERTY_FIRSTNAME, true, $user_alias, true));
    }
}
